
local actions = require 'staff.actions'

function walk_to(x, y)
    local e = actions.get_entity()
    e:walk_to(x, y)
    actions.wait()
    while e.is_walking do
        actions.wait()
    end
end

function walk_to_face(x, y, angle)
    local e = actions.get_entity()
    e:walk_to_face(x, y, angle)
    actions.wait()
    while e.is_walking do
        actions.wait()
    end
end

function wait_ticks(ticks)
    for i = 0, ticks do
        actions.wait()
    end
end